within FluidDissipation.Utilities.Records.General;
record TwoPhaseFlow "base record for two phase Flow"
  extends Modelica.Icons.Record;

  SI.Density rho_l=958 "Density of liquid"
    annotation (Dialog(group="Fluid properties"));
  SI.Density rho_g=0.6 "Density of gas" annotation (Dialog(group=
          "Fluid properties", enable=if KC == 1 or KC == 2 then true else false));
  SI.DynamicViscosity eta_l=282e-6 "Dynamic viscosity of liquid"
    annotation (Dialog(group="Fluid properties"));
  SI.DynamicViscosity eta_g=12.7e-6 "Dynamic viscosity of gas" annotation (
      Dialog(group="Fluid properties", enable=if KC == 1 or KC == 2 then true else
                false));
  SI.MassFraction x=0.5 "Vapour fraction"
    annotation (Dialog(group="Fluid properties"));
  SI.SurfaceTension sigma=59e-3 "Surface Tension" annotation (Dialog(group=
          "Fluid properties", enable=if DP_fric == 1 then true else false));
  Real n=0.25 "Exponent in Blasius equation (0.2-0.25)" annotation (Dialog(
        group="others", enable=if DP_fric == 2 then true else false));
end TwoPhaseFlow;
